#pragma once
#include "global.h"
class CAniEditorLayerEdit : public CDialog
{
	DECLARE_DYNAMIC(CAniEditorLayerEdit)
	DECLARE_MESSAGE_MAP()
public:
	CAniEditorLayerEdit(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CAniEditorLayerEdit();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CANIEDITOR_LAYEREDIT };
#endif
	int outOp = 0;
	int outSrcLayerNum = 0;
	int outDstLayerNum = 0;
	int outNum = 1;
	int testLayerNum = 0;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
	//控件
	CEdit edit_srcLayer;
	CEdit edit_dstLayer;
	CEdit edit_num;
	CButton radio_insert_up;
	CButton radio_insert_down;
	CButton radio_swap;
	CButton radio_copy;
	CButton radio_delete;
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedRadioInsert();
	afx_msg void OnBnClickedRadioSwapLayer();
	afx_msg void OnBnClickedRadioDeleteLayer();
};

